Search found 41 matches

Go to advanced search

by cristian.a73
Sat Oct 12, 2019 5:04 pm
Forum: TechDraw
Topic: [Solved] TechDraw : the programmatically way, part II
Replies: 6
Views: 368

Re: TechDraw : the programmatically way, part II

Hi vocx, wondererfan Thank you for reply Unfortunally my server doesn't have x-display (graphic cad not installed), it's running in virtualized server, so FreeCADGui don't run Before to swith to TechDraw, using Drawing module in headless mode (FreeCADCmd) the object page <Drawing::FeaturePage>, afte...
by cristian.a73
Fri Oct 11, 2019 9:51 pm
Forum: TechDraw
Topic: [Solved] TechDraw : the programmatically way, part II
Replies: 6
Views: 368

[Solved] TechDraw : the programmatically way, part II

Hi FreeCAD Forumer In order to create 2D draft of a model (for mechanical components) I create a page by follows code : page = doc.addObject('TechDraw::DrawPage', str(pageTitle)) template = doc.addObject('TechDraw::DrawSVGTemplate', str(pageTitle)) template.Template = SVGTemplate page.Template = tem...
by cristian.a73
Fri Sep 27, 2019 2:39 pm
Forum: TechDraw
Topic: [Solved] TechDraw : the programmatically way
Replies: 14
Views: 895

Re: TechDraw : the automatic way

https://www.freecadweb.org/wiki/TechDraw_CosmeticVertex : Cosmetic Vertices are not accessible from macros or the Python console at this time.. This has made me cry :cry: Don't cry. I'm even slower at updating documentation than I am writing code . :oops: Wonderful ... same thing fro me :lol: ... T...
by cristian.a73
Fri Sep 27, 2019 2:33 pm
Forum: TechDraw
Topic: [Solved] TechDraw : the programmatically way
Replies: 14
Views: 895

Re: TechDraw : the automatic way

this is exacly what I was looking for ... I don't think you mentioned in your first post what kind of objects you were projecting, so it was not immediately evident if you wanted to do it this way. For buildings I normally always recommend using Draft Dimension , followed by Arch SectionPlane , and...
by cristian.a73
Thu Sep 26, 2019 10:36 pm
Forum: TechDraw
Topic: [Solved] TechDraw : the programmatically way
Replies: 14
Views: 895

Re: TechDraw : the automatic way

... If I create a dimension by Draft workbench is there a way to show it in TechDraw ? Yes, of course there is. This is more or less the best way to add dimensions to floor plans and architectural models. TechDraw dimensioning tools are more suited for small solid objects, created with Part or Part...
by cristian.a73
Thu Sep 26, 2019 4:59 pm
Forum: TechDraw
Topic: [Solved] TechDraw : the programmatically way
Replies: 14
Views: 895

Re: TechDraw : the automatic way

Hi wandererfan When you say "not linked to view's vertexes", do you mean an arbitrary point that doesn't have a representation in the View? As in makeLengthDimension(vector1, vector2). Or is it just a case of knowing the 3d point, but not knowing which vertex in the 2d View corresponds to it? As in ...
by cristian.a73
Wed Sep 25, 2019 12:37 pm
Forum: TechDraw
Topic: [Solved] TechDraw : the programmatically way
Replies: 14
Views: 895

Re: TechDraw : the automatic way

The code doesn't work because 'Edge3' is not in the PartFeature workspace, it's in 'view' workspace So I cannot get a link beetween my vertexes and the 'view' Should I use References3D field ? Where could I found the infoermation to work this way ? You'll have to use both Reference2d (where is the ...
by cristian.a73
Tue Sep 24, 2019 9:42 pm
Forum: TechDraw
Topic: [Solved] TechDraw : the programmatically way
Replies: 14
Views: 895

[Solved] TechDraw : the programmatically way

Hi FeeeCAD Forumer In order to create a 2d draft of a model my sketch is : pageTitle = "title" SVGTemplate = "templaye" doc.FreeCAD.ActoveDocument page = doc.addObject('TechDraw::DrawPage', str(pageTitle)) template = doc.addObject('TechDraw::DrawSVGTemplate', str(pageTitle)) template.Template = SVGT...
by cristian.a73
Fri Mar 22, 2019 10:34 pm
Forum: Path/CAM
Topic: PathJob.Create : a start point script
Replies: 12
Views: 696

Re: PathJob.Create : a start point script

About the script to create job, the correct sintax is : glJobObj = PathJob.Create("JobObjectName", [obj] ) @cristian.a73 is this code something that works for you now ? Perhaps you can contribute back to Path if you have some sort of functionality that works from the CLI? Yes that code work fine......
by cristian.a73
Mon Feb 11, 2019 3:37 pm
Forum: Python scripting and macros
Topic: wire.makeOffset2D : 99% cpu (dead loop ?)
Replies: 2
Views: 198

Re: wire.makeOffset2D : 99% cpu (dead loop ?)

after several test can say makeOffset2D is simply a nightmare! nothing of these steps make it work : Curve.makeC1Continuous(0.2÷0.001) Curve.toBiArcs(0.50÷0.01) Curve.toBezier() Curve.toNurbs() Curve.toNurbs().toBiArcs(0.50÷0.01) I'm thinking the best way it to implement my own ... makeOffset2D is k...

Go to advanced search